# Core installation

> Install Synnax on a variety of operating systems.

This page will walk you through how to install the Synnax binary on Windows, macOS, and Linux. To get started, select your operating system below:

**Linux**

## Installing on Linux

To install Synnax on a Linux distribution, run the following command to download the latest binary:

```bash
curl -LO https://github.com/synnaxlabs/synnax/releases/download/core/v0.58.2/synnax-v0.58.2-linux
```

We recommend you move the binary into a directory that is in your `PATH`. Most of our users use `/usr/local/bin`:

```bash
sudo mv synnax-v0.58.2-linux /usr/local/bin/synnax
```

If `usr/local/bin` is not in your `PATH`, you can temporarily add it by running the following:

```bash
export PATH=$PATH:/usr/local/bin
```

Or, you can add it permanently using the following one-liner for your shell:

```bash
echo 'export PATH=$PATH:/usr/local/bin' >> ~/.bashrc
```

Or, for `zsh`:

```bash
echo 'export PATH=$PATH:/usr/local/bin' >> ~/.zshrc
```

If any previous versions of Synnax are installed and available on your `PATH`, you may need to remove them to avoid conflicts.

Next, give execution permissions to the binary:

```bash
chmod +x /usr/local/bin/synnax
```

You may need to use `sudo` to run the above command if you do not have the necessary permissions.

To verify that the installation was successful, run:

```bash
synnax --version
```

You should see the following output:

```text
Synnax v0.58.2
```

**Windows**

## Installing on Windows

Install the Synnax Core on Windows by downloading and running the latest installer:



[Download Synnax v0.58.2 for Windows](https://github.com/synnaxlabs/synnax/releases/download/core/v0.58.2/synnax-setup-v0.58.2.exe)

Releases for other operating systems and older versions can be found on the [releases page](https://github.com/synnaxlabs/synnax/releases).



To verify that the installation was successful, run the following command in a **PowerShell** terminal:

```powershell
synnax --version
```

You should see the following output:

```text
Synnax v0.58.2
```

**macOS**

## Installing on macOS

To install Synnax on macOS, run the following command to download the latest binary:

```bash
curl -LO https://github.com/synnaxlabs/synnax/releases/download/core/v0.58.2/synnax-v0.58.2-macos
```

We recommend you move the binary into a directory that is in your `PATH`. Most of our users use `/usr/local/bin`:

```bash
sudo mv synnax-v0.58.2-macos /usr/local/bin/synnax
```

If `usr/local/bin` is not in your `PATH`, you can temporarily add it by running the following:

```bash
export PATH=$PATH:/usr/local/bin
```

Or, you can add it permanently using the following one-liner for your shell:

```bash
echo 'export PATH=$PATH:/usr/local/bin' >> ~/.zshrc
```

If any previous versions of Synnax are installed and available on your `PATH`, you may need to remove them to avoid conflicts.

Next, give execution permissions to the binary:

```bash
chmod +x /usr/local/bin/synnax
```

You may need to use `sudo` to run the above command if you do not have the necessary permissions.

To verify that the installation was successful, run:

```bash
synnax --version
```

You should see the following output:

```text
Synnax v0.58.2
```

**Docker**

## Installing on Docker

Installing Synnax via Docker is as easy as running `docker pull` with the latest tag:

```bash
docker pull synnaxlabs/synnax:latest
```
